<?php
// Subroutine: set_rank.php
// Xinfeng Chen, 2002.11.24
// require: class CRank
// input: $oUsr

$_rnk=new CRank;
$_rnk->load();
if($oUsr->level>=0){
 $oUsr->level=$oUsr->numpost*2+$oUsr->numreply;
 $oUsr->levelname=$_rnk->getRank($oUsr->level);
}

?>